Bug 1316610 - [RDO Mitaka3 test day] Packstack should not run cli commands on network hosts
[RDO Mitaka3 test day] Packstack should not run cli commands on network hosts
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Martin Magr
Shai Revivo
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 10:32 EST by Martin Magr
Modified: 2016-05-19 11:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:44:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Magr 2016-03-10 10:32:48 EST
Description of problem:
Seems like python-neutronclient is missing dependency. During Packstack installation "neutron subnet-list" fails with ImportError:

^[[mNotice: Puppet::Type::Neutron_subnet::ProviderNeutron: Unable to complete neutron request due to non-fatal error: "Execution of '/usr/bin/neutron subnet-list --format=csv --column=id --quote=none' returned 1: Traceback (most recent call last):
  File "/usr/bin/neutron", line 6, in <module>
    from neutronclient.shell import main
  File "/usr/lib/python2.7/site-packages/neutronclient/shell.py", line 31, in <module>
    import os_client_config
ImportError: No module named os_client_config". Retrying for 10 sec.^[[0m

Version-Release number of selected component (if applicable):
[root@test-controller ~]# rpm -qa python-neutron*
python-neutron-lib-0.0.3-0.20160227020344.999828a.el7.centos.noarch
python-neutronclient-4.1.2-0.20160304195803.5d28651.el7.centos.noarch
python-neutron-8.0.0.0b4-0.20160304174813.0ae20a3.el7.centos.noarch
[root@test-controller ~]#
Comment 1 Martin Magr 2016-03-10 10:36:03 EST
Hmm, so rpm seems to be installed:
Package python2-os-client-config-1.16.1-0.20160225220243.22ee863.el7.centos.noarch already installed and latest version

And importing the module manually in Python shell works, so problem might be somewhere else then packaging.
Comment 2 Martin Magr 2016-03-10 10:52:04 EST
Actually this is Packstack issue. On distributed setup Packstack is trying to run "neutron subnet-list" on network node, which fails of course, because client stuff is installed only on controller node.
Comment 3 Martin Magr 2016-03-10 10:53:22 EST
Applying fd00::1b17_provision_demo_bridge.pp
fd00::1b17_provision_demo_bridge.pp:              [ ERROR ]                    
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: fd00::1b17_provision_demo_bridge.pp
ImportError: No module named os_client_config". Retrying for 10 sec.
You will find full trace in log /var/tmp/packstack/20160310-163421-reNyOf/manifests/fd00::1b17_provision_demo_bridge.pp.log

[root@test-controller ~(keystone_admin)]# cat /var/tmp/packstack/20160310-163421-reNyOf/manifests/fd00::1b17_provision_demo_bridge.pp.log
Notice: Compiled catalog for test-network.internal in environment production in 0.14 seconds
Notice: Puppet::Type::Neutron_subnet::ProviderNeutron: Unable to complete neutron request due to non-fatal error: "Execution of '/usr/bin/neutron subnet-list --format=csv --column=id --quote=none' returned 1: Traceback (most recent call last):
  File "/usr/bin/neutron", line 6, in <module>
    from neutronclient.shell import main
  File "/usr/lib/python2.7/site-packages/neutronclient/shell.py", line 31, in <module>
    import os_client_config
ImportError: No module named os_client_config". Retrying for 10 sec.
Notice: Puppet::Type::Neutron_subnet::ProviderNeutron: Unable to complete neutron request due to non-fatal error: "Execution of '/usr/bin/neutron subnet-list --format=csv --column=id --quote=none' returned 1: Traceback (most recent call last):
  File "/usr/bin/neutron", line 6, in <module>
    from neutronclient.shell import main
  File "/usr/lib/python2.7/site-packages/neutronclient/shell.py", line 31, in <module>
    import os_client_config
ImportError: No module named os_client_config". Retrying for 8 sec.
Notice: Puppet::Type::Neutron_subnet::ProviderNeutron: Unable to complete neutron request due to non-fatal error: "Execution of '/usr/bin/neutron subnet-list --format=csv --column=id --quote=none' returned 1: Traceback (most recent call last):
  File "/usr/bin/neutron", line 6, in <module>
    from neutronclient.shell import main
  File "/usr/lib/python2.7/site-packages/neutronclient/shell.py", line 31, in <module>
    import os_client_config
ImportError: No module named os_client_config". Retrying for 5 sec.
Notice: Puppet::Type::Neutron_subnet::ProviderNeutron: Unable to complete neutron request due to non-fatal error: "Execution of '/usr/bin/neutron subnet-list --format=csv --column=id --quote=none' returned 1: Traceback (most recent call last):
  File "/usr/bin/neutron", line 6, in <module>
    from neutronclient.shell import main
  File "/usr/lib/python2.7/site-packages/neutronclient/shell.py", line 31, in <module>
    import os_client_config
ImportError: No module named os_client_config". Retrying for 3 sec.
Notice: Puppet::Type::Neutron_subnet::ProviderNeutron: Unable to complete neutron request due to non-fatal error: "Execution of '/usr/bin/neutron subnet-list --format=csv --column=id --quote=none' returned 1: Traceback (most recent call last):
  File "/usr/bin/neutron", line 6, in <module>
    from neutronclient.shell import main
  File "/usr/lib/python2.7/site-packages/neutronclient/shell.py", line 31, in <module>
    import os_client_config
ImportError: No module named os_client_config". Retrying for 1 sec.
Error: /Stage[main]/Main/Neutron_l3_ovs_bridge[demo_bridge]: Could not evaluate: Can't retrieve subnet-list because Neutron or Keystone API is not available.
Notice: Finished catalog run in 11.94 seconds
[root@test-controller ~(keystone_admin)]#
Comment 4 Martin Magr 2016-03-22 06:00:42 EDT
Works with openstack-packstack-8.0.0-0.20160321212000.5939a9f.el7.centos.noarch.
Comment 5 Martin Magr 2016-03-22 06:03:37 EDT
Sorry, please ignore comment #4, I commented wrong bug. Actually this was reproduced with openstack-packstack-8.0.0-0.20160321212000.5939a9f.el7.centos.noarch
Comment 7 Chandan Kumar 2016-05-19 11:44:36 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.